# Tsunami

**Netbox + XO + Terraform + Ansible = The best deployment kit**

## Configuration

[Install terraform](https://www.terraform.io/downloads)

replace your variables:
```bash
# copy password template
cp passwd.auto.tfvars.example passwd.auto.tfvars

# edit with your infra passwords
nano passwd.auto.tfvars

# set your template vm network interface
nano cloud_network_config.tftpl

# create a prefix with IP you want to use on netbox, and set your vm variables
nano variables.auto.tfvars
```

You can add your playbook in the folder playbooks/ and use them in variables.auto.tfvars

## Run

```bash
terraform init
terraform plan
terraform apply
```
